Show / Hide Table of Contents

# Struct ExcelModuleInterface

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.Excel

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ExcelModuleInterface

### Fields

| Improve this Doc View Source

#### ExdModule

##### Declaration

    public ExdModule*ExdModule

##### Field Value

Type | Description
--- | ---
ExdModule* |

### Methods

| Improve this Doc View Source

#### GetSheetByIndex(UInt32)

##### Declaration

    [VirtualFunction(1)]
    public ExcelSheet*GetSheetByIndex(uint sheetIndex)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | sheetIndex |

##### Returns

Type | Description
--- | ---
ExcelSheet* |

| Improve this Doc View Source

#### GetSheetByName(String)

##### Declaration

    [VirtualFunction(2)]
    public ExcelSheet*GetSheetByName(string sheetName)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | sheetName |

##### Returns

Type | Description
--- | ---
ExcelSheet* |